TLE 12.0 - our Competitive Programming course TLE 12.0 is live! Enrol now at www.tle-eliminators.com/?referralCode=859D315C Please fill the Feedback form for PCD: forms.gle/pqtCEY47dsE21wJE7
i understand your approach in problem C . But i need some explanation ! Like you are telling that the net sum is = suf[i] + suf[j] ..... for every partition right ? But in every partition in question they said we have to multiply suffix or that partition value by that partition m , right ? Then why you said just adding suf[i] for every partition will give us the right output ?
When we are adding a new partition at position p while moving from right to left, we increase the points for each fish in the partition to the right of our partition. And suffix array stores the value of difference of scores up to this point p. Now see, the n-1 th would be added (n-1) minus partition so far times while adding a suffix, which essentially means the same time as is the value of points of the fishes in partition. Precisely we are adding it 'k' times, on the go, instead of multiplying by some partition number Pn, because we are not aware of how many partitions we need yet.
I am good at dsa in leetcode including graph,tree,dp etc.. but I don't know anything in competitive programming which level of tle course should I take
Is c solvable using binary search?i was trying to apply binary search on group number from (2 to n) but got wrong ans on some testcase😢.if anybody solved using binary search pls share ideas
TLE 12.0 - our Competitive Programming course TLE 12.0 is live!
Enrol now at www.tle-eliminators.com/?referralCode=859D315C
Please fill the Feedback form for PCD: forms.gle/pqtCEY47dsE21wJE7
what an observation for C!!!! Such a talented guy
fr
fr
Please upload codechef contest analysis also
i understand your approach in problem C . But i need some explanation !
Like you are telling that the net sum is = suf[i] + suf[j] ..... for every partition right ?
But in every partition in question they said we have to multiply suffix or that partition value by that partition m , right ? Then why you said just adding suf[i] for every partition will give us the right output ?
Agar hum log add kar rahe hai suffix then woh multiply jaisa hi ho raha hai. Try to visualise
When we are adding a new partition at position p while moving from right to left, we increase the points for each fish in the partition to the right of our partition. And suffix array stores the value of difference of scores up to this point p.
Now see, the n-1 th would be added (n-1) minus partition so far times while adding a suffix, which essentially means the same time as is the value of points of the fishes in partition.
Precisely we are adding it 'k' times, on the go, instead of multiplying by some partition number Pn, because we are not aware of how many partitions we need yet.
@@shivamshaw_07 bhai koi editorial ya article ya video hai is logic ko explain krte?
very nicely explained : D
Great explanation
I am good at dsa in leetcode including graph,tree,dp etc.. but I don't know anything in competitive programming which level of tle course should I take
Try to give 3-4 virtual contest and then choose based on your performance.
@MindStealerx I could'nt solve even 1
@MindStealerx Also I don't know how to view solutions it's showing N/A
👍👍
Is c solvable using binary search?i was trying to apply binary search on group number from (2 to n) but got wrong ans on some testcase😢.if anybody solved using binary search pls share ideas
Not possible it does not follow the Binary property
The explanation for problem D is horrendous.
was this round not rated??
It's rated.
Rating is updated check
@@TUSHARKHANDELWAL-i8s ya ok, i got it